List PIX Statement Data By Product
GETTag: api-baas-get-all-report-pix-statement-productDescription: Retrieve a list of PIX statement data filtered by product. When filtering by date, ensure that the date range is within the same month. If no date has been specified in the filters, the statement will be generated for the current month. When using filters, both filter_type and filter_text must be provided together./v1/reports/pix-statement-product
Request
Query Parameters
- beneficiary_document: Beneficiary Document.
- owner_document: Owner Document.
- end_to_end_id: End To End ID.
- merchant_id: Merchant ID.
- txid: Tx ID.
Possible values: [beneficiary_document, owner_document, end_to_end_id, merchant_id, txid]
Filter Type:
Filter text.
Previous page state.
Created at start.
Created at end.
Header Parameters
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Responses
- 200
- 400
- 401
- 422
The PIX statement data returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
data object[]required
Pix statement data.
Payment beneficiary bank name.
Payment beneficiary branch (bank agency).
Payment beneficiary document (cpf or cnpj).
Payment beneficiary name.
Possible values: [NATURAL_PERSON, LEGAL_PERSON]
Payment beneficiary person type.
Payment beneficiary account number.
Payment beneficiary account type.
Payment beneficiary bank ispb.
Product ID.
Payment description.
Payment end to end id.
Payment key.
Possible values: [C, D]
Operations type.
Payment owner account number.
Payment owner branch.
Payment owner document (cpf or cnpj).
Payment owner full name.
Possible values: [NATURAL_PERSON, LEGAL_PERSON]
Payment owner person type.
Payment confirmed at.
Payment canceled at.
Payment date.
Possible values: [ACCOUNT, KEY, QR_CODE, QR_CODE_STATIC_INSTANT, QR_CODE_STATIC_WITHDRAWAL, QR_CODE_DYNAMIC_DUE_DATE, QR_CODE_DYNAMIC_WITHDRAWAL, QR_CODE_DYNAMIC_CHANGE, QR_CODE_DYNAMIC_INSTANT, AUTOMATIC_PAYMENT]
Payment type.
Possible values: [PENDING, PENDING_GATEWAY, SCHEDULED, WAITING, WAITING_INTERNAL, WAITING_DELAYED, CONFIRMED, FAILED, CANCELED, ANTIFRAUD_ANALYSIS, ANTIFRAUD_ANALYSIS_REVIEW]
Payment state.
Operation created at.
Transaction ID.
Possible values: [P2PBT, WITHDRAW, PIXCHANGE, PIXDEVREC, PIXDEVSEND, PIXREC, PIXREFUND, PIXREFUNDDEV, PIXSEND, PIXSENDAUTOMATIC, PIXSENDSELF, TED, CONV, BTCSEND, BTCRECEIVE, BBP, BBD, DEPORECEIVE, TEDRECEIVE, DEBITTRANSACTION, DEBITCBK, TEDFAILURE, TEDUNDO, TEDRECCBK, DEPRECCBK, DOCRECEIVE, PIXRECEIVE, WITHDRAWCBK, CASHBACK, CASHBACKCBK, FORFEITURE, DBTCARDCRED, ACTCLOSURE, REFREWARD, EXTRACREDIT, SALECREDCARD, SALEDEBTCARD, PIXWITHDRAWAL, ADMCRYPTOSEND, ADMCRYPTOREC, P2PBTCTP, P2PBTCTC, P2PTP, P2PTC, CBK, P2MTP, SP, TEDTRANSFERSELF, TEDDEVREC, PIXSENDRESTRICTED, CASHREC, BANKTRANSFERREC, BANKTRANSFERSEND_ARG, BANKTRANSFERDEV_ARG, BANKTRANSFERSEND_CHL, BANKTRANSFERDEV_CHL, BANKTRANSFERSEND_PER, BANKTRANSFERDEV_PER, DEBITCARDREC, CREDITCARDREC, CREDITDEBITCARDREC, YAPEWALLETREC, YAPEWALLETDEV, QRREC]
Operation transaction type tag.
Transaction updated at.
Payment tx Id.
Merchant ID.
Payment value.
Has next page.
Page state.
{
"data": [
{
"beneficiary_bank_name": "Bank Name S.A.",
"beneficiary_branch": "0001",
"beneficiary_document": "87908771017",
"beneficiary_name": "Fulano de Tal",
"beneficiary_person_type": "LEGAL_PERSON",
"beneficiary_account_number": "12376786",
"beneficiary_account_type": "CACC",
"beneficiary_bank_ispb": "26264220",
"product_id": "3267dfe0-73ee-4421-80e7-0c3a5372fa13",
"description": "string",
"end_to_end_id": "36f81858-f3ed-4ee5-8e6f-5f834129f6ec",
"key": "bdb98227-3e02-4fa2-8e71-bfb8e4b4310a",
"operation_type": "C",
"owner_account_number": "33338888",
"owner_branch": "0001",
"owner_document": "14102415726",
"owner_full_name": "Joao da Silva",
"owner_person_type": "LEGAL_PERSON",
"payment_confirmed_at": "2026-03-26T14:02:59.022Z",
"payment_canceled_at": "2026-03-26T14:02:59.022Z",
"payment_date": "2026-03-26T14:02:59.022Z",
"payment_type": "ACCOUNT",
"state": "CONFIRMED",
"operation_created_at": "2026-03-26T14:02:59.022Z",
"transaction_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"transaction_type_tag": "PIXREC",
"transaction_updated_at": "2026-03-26T14:02:59.022Z",
"txid": "f6e2e084-29b9-4935-a059-5473b13033aa",
"merchant_id": "Merchant unique defined",
"value": 10000
}
],
"has_next_page": true,
"page_state": "string"
}
If any required params are missing or has invalid format or type.
User authentication failed.
If any required params are missing or has invalid format or type.